Date: Tuesday, May 7, 2019 @ 14:40:28
  Author: heftig
Revision: 462213

archrelease: copy trunk to community-x86_64

Added:
  gnome-software/repos/community-x86_64/PKGBUILD
    (from rev 462212, gnome-software/trunk/PKGBUILD)
Deleted:
  gnome-software/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  136 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 68 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2019-05-07 14:40:21 UTC (rev 462212)
+++ PKGBUILD    2019-05-07 14:40:28 UTC (rev 462213)
@@ -1,68 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steff...@gmail.com>
-# Contributor: Jan de Groot <j...@archlinux.org>
-# Contributor: Yosef Or Boczko <yosef...@gnome.org>
-
-pkgbase=gnome-software
-pkgname=(gnome-software gnome-software-packagekit-plugin)
-pkgver=3.32.1
-pkgrel=1
-pkgdesc="GNOME Software Tools"
-url="https://wiki.gnome.org/Apps/Software/";
-arch=(x86_64)
-license=(GPL2)
-makedepends=(appstream-glib gnome-desktop libpackagekit-glib flatpak fwupd 
ostree
-             docbook-xsl git gobject-introspection gspell gtk-doc meson 
valgrind
-             gnome-online-accounts libxmlb)
-_commit=c913ecb2d8964589d9c6ea02812dcaa45827640f  # tags/3.32.1^0
-source=("git+https://gitlab.gnome.org/GNOME/gnome-software.git#commit=$_commit";)
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgbase
-  git describe --tags | sed 's/^GNOME_SOFTWARE_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgbase
-}
-
-build() {
-  arch-meson $pkgbase build
-  ninja -C build
-}
-
-check() {
-  # build container troubles
-  meson test -C build --print-errorlogs || :
-}
-
-_pick() {
-  local p="$1" f d; shift
-  for f; do
-    d="$srcdir/$p/${f#$pkgdir/}"
-    mkdir -p "$(dirname "$d")"
-    mv "$f" "$d"
-    rmdir -p --ignore-fail-on-non-empty "$(dirname "$f")"
-  done
-}
-
-package_gnome-software() {
-  groups=('gnome')
-  depends=(libxmlb gnome-desktop gsettings-desktop-schemas gspell 
libpackagekit-glib
-           gnome-online-accounts appstream-glib)
-  optdepends=('flatpak: Flatpak support plugin'
-              'fwupd: fwupd support plugin'
-              'ostree: OSTree support plugin')
-
-  DESTDIR="$pkgdir" meson install -C build
-
-### Split gnome-software-packagekit-plugin
-  _pick packagekit-plugin 
"$pkgdir"/usr/lib/gs-plugins-*/libgs_plugin_packagekit*.so
-  _pick packagekit-plugin 
"$pkgdir"/usr/lib/gs-plugins-*/libgs_plugin_systemd-updates.so
-}
-
-package_gnome-software-packagekit-plugin() {
-  pkgdesc="PackageKit support plugin for GNOME Software"
-  depends=(archlinux-appstream-data gnome-software packagekit)
-  mv packagekit-plugin/* "$pkgdir"
-}

Copied: gnome-software/repos/community-x86_64/PKGBUILD (from rev 462212, 
gnome-software/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2019-05-07 14:40:28 UTC (rev 462213)
@@ -0,0 +1,68 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steff...@gmail.com>
+# Contributor: Jan de Groot <j...@archlinux.org>
+# Contributor: Yosef Or Boczko <yosef...@gnome.org>
+
+pkgbase=gnome-software
+pkgname=(gnome-software gnome-software-packagekit-plugin)
+pkgver=3.32.2
+pkgrel=1
+pkgdesc="GNOME Software Tools"
+url="https://wiki.gnome.org/Apps/Software/";
+arch=(x86_64)
+license=(GPL2)
+makedepends=(appstream-glib gnome-desktop libpackagekit-glib flatpak fwupd 
ostree
+             docbook-xsl git gobject-introspection gspell gtk-doc meson 
valgrind
+             gnome-online-accounts libxmlb)
+_commit=40baee819d4da5669be1ad8e2dd6e0c3d08fa691  # tags/3.32.2^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-software.git#commit=$_commit";)
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgbase
+  git describe --tags | sed 's/^GNOME_SOFTWARE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgbase
+}
+
+build() {
+  arch-meson $pkgbase build
+  ninja -C build
+}
+
+check() {
+  # build container troubles
+  meson test -C build --print-errorlogs || :
+}
+
+_pick() {
+  local p="$1" f d; shift
+  for f; do
+    d="$srcdir/$p/${f#$pkgdir/}"
+    mkdir -p "$(dirname "$d")"
+    mv "$f" "$d"
+    rmdir -p --ignore-fail-on-non-empty "$(dirname "$f")"
+  done
+}
+
+package_gnome-software() {
+  groups=('gnome')
+  depends=(libxmlb gnome-desktop gsettings-desktop-schemas gspell 
libpackagekit-glib
+           gnome-online-accounts appstream-glib)
+  optdepends=('flatpak: Flatpak support plugin'
+              'fwupd: fwupd support plugin'
+              'ostree: OSTree support plugin')
+
+  DESTDIR="$pkgdir" meson install -C build
+
+### Split gnome-software-packagekit-plugin
+  _pick packagekit-plugin 
"$pkgdir"/usr/lib/gs-plugins-*/libgs_plugin_packagekit*.so
+  _pick packagekit-plugin 
"$pkgdir"/usr/lib/gs-plugins-*/libgs_plugin_systemd-updates.so
+}
+
+package_gnome-software-packagekit-plugin() {
+  pkgdesc="PackageKit support plugin for GNOME Software"
+  depends=(archlinux-appstream-data gnome-software packagekit)
+  mv packagekit-plugin/* "$pkgdir"
+}

Reply via email to